/* Standalone version of stdjser.c ... */

#include      <stdio.h>
#include      <string.h>

int java_treeser(char *name, double time, double *x, double *y, 
                 double *xt, double *yt, int n);

#define        MAX_NPAIR      1000000
#define        MAX_LABEL      256

main(int argc,char **argv) {
   double    x[MAX_NPAIR],    y[MAX_NPAIR],time;
   double    xt[MAX_NPAIR],    yt[MAX_NPAIR];
   char     *label;
   int       i,               wt, rc;

   int       verbose = 0;

   double    ltime;
   time = 0.0;

   if( argc > 2 ) {
      printf("usage: %s <list of xy pairs>.\n",argv[0]);
      exit(-1);
   }
   if( argc > 1 ) {
      label = argv[1];
   } else {
      label = (char *) malloc(MAX_LABEL * sizeof(char));
      label = strcpy(label,"Standard input");
   }
   for( i = 0; scanf("%lf %lf %lf %lf",x+i,y+i, xt+i, yt+i) == 4;i++ ) {
		/*printf(" ");*/
      if( i == MAX_NPAIR ) {
         printf("%s:: Internal buffer full, possible loss of data.\n",argv[0]);
         goto full;
      }
   }
full:
   if( i == 0 ) {
      printf("%s:: Null input.\n",argv[0]);
   } else {
      if( verbose ) {
         printf("%s:: %d pairs read.\n",argv[0],i);
      }
			/*scanf("Enter in the time %lf",time); */
      /* time = y[i-1]; */
      printf ("Time=\n",time);
      if( (rc = java_sertree(label,time,x,y,xt,yt,i)) ) {
         printf("%s:: Could not transmit to server ...\n",argv[0]);
      }
   }
   exit(0);
}
